SystemOrganization addCategory: #GlorpDriverSqueakDBX!
SystemOrganization addCategory: #'GlorpDriverSqueakDBX-Test'!

DatabaseDriver subclass: #SqueakDBXDriver
	instanceVariableNames: 'database'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpDriverSqueakDBX'!

!SqueakDBXDriver methodsFor: 'as yet unclassified' stamp: 'test 6/18/2009 00:26'!
basicExecuteSQLString: aString 
	| result rowCollection |
	aString
		ifEmpty: [^ ReadStream on: Array new].
	result := connection execute: aString.
	"result errorResponse notNil
	ifTrue:
	[self externalDatabaseErrorSignal signal: result errorResponse value]."
	rowCollection := OrderedCollection new.
	"self break."
	
	result isResultSet ifTrue: [result rows do: [:ea | rowCollection add: ea values].].
	^ ReadStream on: rowCollection asArray.! !

!SqueakDBXDriver methodsFor: 'as yet unclassified' stamp: 'GP 5/31/2009 13:27'!
beginTransaction
	connection startTransaction! !

!SqueakDBXDriver methodsFor: 'as yet unclassified' stamp: 'MMP 4/16/2009 21:11'!
commitTransaction
	connection commit! !

!SqueakDBXDriver methodsFor: 'accessing' stamp: 'GP 2/10/2009 23:15'!
connect: aLogin
	connection := DBXConnection platform: (aLogin database asSqueakDBXAdaptor) 								settings: (self connectionSettings: aLogin).
	connection connect.
	connection open.
! !

!SqueakDBXDriver methodsFor: 'accessing' stamp: 'GP 1/20/2009 00:02'!
connectionSettings: aLogin
	| connectionSettings |
	
	connectionSettings := DBXConnectionSettings
				host: aLogin host
				port: aLogin port
				database: aLogin databaseName
				userName: aLogin username
				userPassword: aLogin password.
	^connectionSettings! !

!SqueakDBXDriver methodsFor: 'accessing' stamp: 'GP 1/11/2009 20:24'!
database
	^ database! !

!SqueakDBXDriver methodsFor: 'accessing' stamp: 'GP 1/11/2009 20:24'!
database: anObject
	database := anObject! !

!SqueakDBXDriver methodsFor: 'as yet unclassified' stamp: 'GP 2/9/2009 20:48'!
logout
connection shutDown.! !

!SqueakDBXDriver methodsFor: 'as yet unclassified' stamp: 'GP 5/31/2009 13:27'!
rollbackTransaction
	connection rollback.! !

!SqueakDBXDriver methodsFor: 'as yet unclassified' stamp: 'GP 7/25/2009 13:15'!
rowCount
  | result |
result := self connection result.
result isResultSet ifTrue: [^result rows size].
^result rowsAffected! !

GlorpMainBackendTest subclass: #DBXGlorpMainBackendTestMysql
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpDriverSqueakDBX-Test'!

!DBXGlorpMainBackendTestMysql class methodsFor: 'as yet unclassified' stamp: 'GP 11/3/2009 00:14'!
glorpBackendFacility
	| facility login |
	facility := GlorpBackendFacility new.
	login := Login new
		database: MySQLPlatform new;
		username: 'sodbxtest';
		password: 'sodbxtest';
		host: '127.0.0.1';
		port: '3306';
		connectString: '127.0.0.1_sodbxtest'.
	facility login: login.
	^ facility! !

!DBXGlorpMainBackendTestMysql methodsFor: 'as yet unclassified' stamp: 'GP 11/1/2009 13:09'!
testSetToBaseTestAFacility
	super testSetToBaseTestAFacility.
	SqueakDatabaseAccessor DefaultDriver: SqueakDBXDriver.
	GlorpDatabaseLoginResource current: nil.
	GlorpDatabaseLoginResource defaultLogin: self class glorpBackendFacility login! !

GlorpMainBackendTest subclass: #DBXGlorpMainBackendTestOracle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpDriverSqueakDBX-Test'!

!DBXGlorpMainBackendTestOracle class methodsFor: 'as yet unclassified' stamp: 'GP 11/1/2009 13:20'!
glorpBackendFacility
	| facility login |
	facility := GlorpBackendFacility new.
	login := Login new
		database: OraclePlatform new;
		username: 'sodbxtest';
		password: 'sodbxtest';
		host: '127.0.0.1';
		port: '1521';
		connectString: '127.0.0.1_xe'.
	facility login: login.
	^ facility! !

!DBXGlorpMainBackendTestOracle methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 10/22/2009 23:29'!
testSetToBaseTestAFacility
	super testSetToBaseTestAFacility.
	SqueakDatabaseAccessor DefaultDriver: SqueakDBXDriver.
	GlorpDatabaseLoginResource current: nil.
	GlorpDatabaseLoginResource defaultLogin: self class glorpBackendFacility login! !

GlorpMainBackendTest subclass: #DBXGlorpMainBackendTestPostgresql
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpDriverSqueakDBX-Test'!

!DBXGlorpMainBackendTestPostgresql class methodsFor: 'as yet unclassified' stamp: 'GP 11/1/2009 13:20'!
glorpBackendFacility
	| facility login |
	facility := GlorpBackendFacility new.
	login := Login new
		database: PostgreSQLPlatform new;
		username: 'sodbxtest';
		password: 'sodbxtest';
		connectString: '127.0.0.1_sodbxtest'.
	facility login: login.
	^ facility! !

!DBXGlorpMainBackendTestPostgresql methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 10/22/2009 23:29'!
testSetToBaseTestAFacility
	super testSetToBaseTestAFacility.
	SqueakDatabaseAccessor DefaultDriver: SqueakDBXDriver.
	GlorpDatabaseLoginResource current: nil.
	GlorpDatabaseLoginResource defaultLogin: self class glorpBackendFacility login! !
